From a2a4099994e21087cca9149a70d18186bfba7411 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Wed, 8 Apr 2020 02:53:06 -0400
Subject: [PATCH 2/3] gnu: linphone: Replace source URI with mirror.

* gnu/packages/linphone.scm: Replace source URI with mirror.
---
 gnu/packages/linphone.scm | 46 +++++++++++++++++++--------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 50d75a4a95..39109ff877 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -59,7 +59,7 @@
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "0ylchj8w98ic2fkqpxc6yk4s6s0h0ql2zsz5n49jd7126m4h8dqk"))))
@@ -84,7 +84,7 @@ framework for writing, administering, and running unit tests in C.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "1a1i70pb4hhnykkwyhhc7fv67q556l8kprny8xzgfqpj1nby2ms6"))))
@@ -111,7 +111,7 @@ Communications softwares like belle-sip, mediastreamer2 and linphone.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "1fwv2cg3qy9vdc7dimcda7nqcqc1h2cdd7ikhk7ng7q4ys8m96c1"))))
@@ -138,7 +138,7 @@ defined by an ABNF grammar, such as the protocols standardized at IETF.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "0iiyrll1shnbb0561pkvdqcmx9b2cdr76xpsbaqdirc3s4xzcl0k"))))
@@ -164,7 +164,7 @@ defined by an ABNF grammar, such as the protocols standardized at IETF.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "1a0vlk4fhh189pfzrwbc3xbc5vyx6cnxy642d1h40045jz9y4h15"))))
@@ -196,7 +196,7 @@ picture, or subtitle tracks in one file. ")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "01y34ky7ykjgfnf8a9f59hg61fqfjiprfrzshdz06w0lz4gvy3qs"))))
@@ -223,7 +223,7 @@ such as conferencing.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "016qg0lmdgmqh2kv19w9qhi4kkiyi5h1xp35g2s65b1j8ccm25d5"))))
@@ -252,7 +252,7 @@ implements the RFC 3550 standard.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "12y0kkh90pixaaxfyx26ca2brhy6nw57fsypp6vh8jk1illv0j5z"))))
@@ -281,7 +281,7 @@ platforms including both ARM and x86.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/" name
+        (string-append "mirror://linphone/" name
                        "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "0s55kggmgxap54dkw5856bgk4xg7yvbzialpxnjm0zhpic3hff1z"))))
@@ -315,14 +315,14 @@ API.  It also comprises a simple HTTP/HTTPS client implementation.")
 
 (define-public mediastreamer2
   (package
-    (name "mediastreamer2")
+    (name "mediastreamer")
     (version "2.16.1")
     (source
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/"
-                       "mediastreamer/mediastreamer-" version ".tar.gz"))
+        (string-append "mirror://linphone/" name
+                       "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "0whpqr69wz0pnzvragkpfblxhd0rds8k06c3mw5a0ag216a1yd9k"))
        (patches (search-patches "mediastreamer2-srtp2.patch"))))
@@ -405,14 +405,14 @@ decoding, and rendering.")
 
 (define-public liblinphone
   (package
-    (name "liblinphone")
+    (name "linphone")
     (version "3.12.0")
     (source
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/linphone"
-                       "/linphone-" version ".tar.gz"))
+        (string-append "mirror://linphone/" name
+                       "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "0phhkx55xdyg28d4wn8l8q4yvsmdgzmjiw584d4s190sq1azm91x"))))
     (build-system cmake-build-system)
@@ -477,8 +477,8 @@ and video calls or instant messaging capabilities to an application.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/plugins/"
-                       name "/" name "-" version ".tar.gz"))
+        (string-append "mirror://linphone/" name
+                       "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "0rdxgazm52560g52pp6mp3mwx6j1z3h2zyizzfycp8y8zi92fqm8"))
        (patches
@@ -516,8 +516,8 @@ mediastreamer2 based on the openh264 library.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/plugins/"
-                       name "/" name "-" version ".tar.gz"))
+        (string-append "mirror://linphone/" name
+                       "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "07ip0vd29d1n98lnqs5wpimcsmpm65yl7g5vk4hbqghcbsjw94lj"))))
     (build-system cmake-build-system)
@@ -543,8 +543,8 @@ AMR codec.  It is based on the Skype's SILK implementation.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/plugins/"
-                       name "/" name "-" version ".tar.gz"))
+        (string-append "mirror://linphone/" name
+                       "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "1wj28hl9myhshqmn64xg0jf07aw75gmnilb5rff6rcbdxim87mqr"))))
     (build-system cmake-build-system)
@@ -571,8 +571,8 @@ WebRTC codec.  It includes features from WebRTC, such as, iSAC and AECM.")
      (origin
        (method url-fetch)
        (uri
-        (string-append "https://www.linphone.org/releases/sources/plugins/"
-                       name "/" name "-" version ".tar.gz"))
+        (string-append "mirror://linphone/" name
+                       "/" name "-" version ".tar.gz"))
        (sha256
         (base32 "16c9f3z4wnj73k7y8gb0fgpr4axsm7b5zrbjvy8vsgz9gyg3agm5"))))
     (build-system cmake-build-system)
-- 
2.26.0

